@echo off

:: 设置目标平台为 Windows 和 amd64（64位）
set GOOS=windows
set GOARCH=amd64

cd /d %~dp0
go build -o ../bin/client_windows.exe main.go
if %errorlevel% equ 0 (
    echo 编译成功！可执行文件位于: ..\bin\client_windows.exe
) else (
    echo 编译失败！
    exit /b %errorlevel%
)

